import request from "@/utils/request";

// 获得采购入库单列表
export function getStockedMainAndDetailPage(query) {
    return request({
        url: "/rtkwms/incoming-stock/stockedMainAndDetailPage",
        method: "get",
        params: query,
    });
}

// 获得产成品入库单列表
export function getIncomingProduceStockedDetailPage(query) {
    return request({
        url: "/rtkwms/incoming-produce-detail/produceStockedPage",
        method: "get",
        params: query,
    });
}

// 获得分拆单列表
export function getSplitOrderDetailPage(query) {
    return request({
        url: "/rtkwms/split-order-detail/splitList",
        method: "get",
        params: query,
    });
}

// 获得条码库存查询
export function getLabelMasterOverduePage(query) {
    return request({
        url: "/rtkwms/label-master/overdue",
        method: "get",
        params: query,
    });
}

// 获得投料单执行统计表
export function getWorkOrderBomExecutePage(query) {
    return request({
        url: "/rtkwms/work-order-bom/executeList",
        method: "get",
        params: query,
    });
}